%define pypi_name venusian

Name:           python-%{pypi_name}
Version:        3.0.0
Release:        %mkrel 5
Summary:        A library for deferring decorator actions
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/venusian/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Venusian is a library which allows framework authors to defer decorator
actions. Instead of taking actions when a function (or class) decorator is
executed at import time, you can defer the action usually taken by the
decorator until a separate “scan” phase.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Venusian is a library which allows framework authors to defer decorator
actions. Instead of taking actions when a function (or class) decorator is
executed at import time, you can defer the action usually taken by the
decorator until a separate “scan” phase.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install -- --single-version-externally-managed

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/venusian
%{python3_sitelib}/venusian-%{version}-*.egg-info


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 3.0.0-5.mga9
+ Revision: 1823108
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 mrambo3501 <mrambo3501> 3.0.0-4.mga9
+ Revision: 1781263
- rebuild for python-3.10

* Tue Mar 23 2021 guillomovitch <guillomovitch> 3.0.0-3.mga9
+ Revision: 1708449
- rebuild for python 3.9

* Mon Feb 17 2020 umeabot <umeabot> 3.0.0-2.mga8
+ Revision: 1537692
- Mageia 8 Mass Rebuild

* Thu Nov 07 2019 guillomovitch <guillomovitch> 3.0.0-1.mga8
+ Revision: 1458666
- new version 3.0.0

* Thu Sep 26 2019 daviddavid <daviddavid> 1.2.0-2.mga8
+ Revision: 1446541
- rebuild for python3.8
- drop python2 support

* Mon Jul 01 2019 guillomovitch <guillomovitch> 1.2.0-1.mga8
+ Revision: 1417077
- imported package python-venusian

